### Property

# Gsk GLShader:resource

since: 4.0

#### Declaration

    property resource: utf8 [ read, write, construct-only ]

#### Description [src]

Resource containing the source code for the shader.

If the shader source is not coming from a resource, this will be `NULL`.

Type: | `gchar*`
Available since: | 4.0

Default value | NULL
Getter method | `gsk_gl_shader_get_resource()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes